# Test Alert Endpoint

The test alert endpoint allows you to create alerts with different values in the system. This will then trigger the full alert workflow for those alerts. If configured, you should receive new webhook calls, alerts in the front end, or emails notification.\
\
Please note, this will only be available to you once you have completed on boarding. <br>

<mark style="color:green;">`POST`</mark>  `/secure/alerts/txshield_dummy`

#### Request Body

| Name                     | Type     | Description                                                                                                                      |
| ------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------- |
| auth\_code               | String   | auth\_code of the transaction if known                                                                                           |
| arn                      | String   | arn of the transaction if known                                                                                                  |
| alert\_type              | String   | Type of alert eg,Dispute                                                                                                         |
| currency                 | String   | ISO 4217 3 character Currency Code. e.g. "USD"                                                                                   |
| amount                   | String   | Value of the transaction as a string, including decimals. e.g. "10.00"                                                           |
| descriptor               | String   | descriptor the transaction was processed under. This will be supplied.                                                           |
| transaction\_timestamp   | Datetime | ISO 8601 timestamp of the transaction. You can find the time stamp on <https://www.utctime.net/> as UTC. See example for format. |
| card                     | String   | Card number used in the transaction. Should be masked. e.g. "411111\*\*\*\*\*\*1111"                                             |
| issuername               | String   | Issuer name                                                                                                                      |
| dispute\_condition\_code | Number   |                                                                                                                                  |

### Example

**JSON**

<pre><code><strong>{
</strong>"card" : "411111******1111",
"transaction_timestamp" :  "2021-10-11T00:00:23.000Z",
"descriptor" : "shoes",
"amount" : "10.00",
"currency" : "USD",
"alert_type" : "Dispute",
"arn" : "",
"auth_code" : ""
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payshield.ai/txalerts-dispute-alerts/api-endpoints/test-alert-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
